Subject: bug#66259: closed (Re: [bug#66259] [PATCH 0/4] gnu: sdcc: Update to 4.3.0; other improvements.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Sep 2023 10:09:02 +0000

Your bug report

#66259: [PATCH 0/4] gnu: sdcc: Update to 4.3.0; other improvements.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66259: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66259
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66259] [PATCH 0/4] gnu: sdcc: Update to 4.3.0; other improvements.
From: Christopher Baines <[email-masked]>
To: Simon South <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 30 Sep 2023 11:07:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Simon South <[email-masked]> writes:

> This patch series updates SDCC, a C compiler suite that targets a number of
> 8-bit microcontroller families, to version 4.3.0.
>
> It also tries to improve the package by
>
> - Updating and gently reformatting its definition; and
>
> - Embedding a reference to the MCS-51 simulator from the ucsim package, which
>   is invoked by SDCC's debugger and should therefore always be present
>   alongside it.  (Previously the debugger, sdcdb, would always fail with an
>   error message if the user hadn't also installed μCsim.)
>
> I've tested these changes on AArch64 and x86-64 and all appears well.  (I
> _have_ seen some intermittent build failures on x86-64, but I'm assuming for
> the moment this is something specific to my machine.)

Thanks Simon, these patches look great. I've pushed them to master as
ee5de9cdf2e9d914638fcac8b5f25bdddfb73dfc.

Chris

Subject: [PATCH 0/4] gnu: sdcc: Update to 4.3.0; other improvements.
From: Simon South <[email-masked]>
To: [email-masked]
Date: Thu, 28 Sep 2023 16:11:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series updates SDCC, a C compiler suite that targets a number of
8-bit microcontroller families, to version 4.3.0.

It also tries to improve the package by

- Updating and gently reformatting its definition; and

- Embedding a reference to the MCS-51 simulator from the ucsim package, which
  is invoked by SDCC's debugger and should therefore always be present
  alongside it.  (Previously the debugger, sdcdb, would always fail with an
  error message if the user hadn't also installed μCsim.)

I've tested these changes on AArch64 and x86-64 and all appears well.  (I
_have_ seen some intermittent build failures on x86-64, but I'm assuming for
the moment this is something specific to my machine.)

--
Simon South
[email-masked]

Simon South (4):
  gnu: sdcc: Update package style.
  gnu: sdcc: Adjust format.
  gnu: sdcc: Embed absolute reference to μCsim.
  gnu: sdcc: Update to 4.3.0.

 gnu/packages/embedded.scm                     |  74 ++--
 .../patches/sdcc-disable-non-free-code.patch  | 364 ++++++++++--------
 2 files changed, 240 insertions(+), 198 deletions(-)

base-commit: 3963fa1a465708690cd1554d911613f1c92f5eef
-- 
2.41.0